/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef AUTO_LIST_H
#define AUTO_LIST_H

#include <glib.h>
#include <gtk/gtk.h>
#include <string.h>
#include <ctype.h>
#include <iostream>
using namespace std;

typedef struct _AutoList  AutoList;

struct _AutoList
{
  GCompletion *autolist;
};

AutoList* openldev_auto_list_new ();

void openldev_auto_list_clean_all   (AutoList*);
void openldev_auto_list_parse_files (AutoList*, GList*);
void openldev_auto_list_parse_file  (AutoList*, gchar*);

gboolean   openldev_auto_list_check_char (char);
GList* openldev_auto_list_get_matches (AutoList*, gchar*);

#endif
